---
title: "hollow"
excerpt: "Make the inside of a 3D object hollow."
layout: manual
---

Make the inside of a 3D object hollow.

Remove volume from a 3-dimensional shape such that a wall of the provided thickness remains around the exterior of the shape.

```js
hollow(thickness: number, solid: Solid) -> Solid
```


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `thickness` | `number` |  | Yes |
| `solid` | [`Solid`](/docs/kcl/types/Solid) | An solid is a collection of extrude surfaces. | Yes |

### Returns

[`Solid`](/docs/kcl/types/Solid) - An solid is a collection of extrude surfaces.


### Examples

```js
// Hollow a basic sketch.
firstSketch = startSketchOn('XY')
  |> startProfileAt([-12, 12], %)
  |> line(end = [24, 0])
  |> line(end = [0, -24])
  |> line(end = [-24, 0])
  |> close()
  |> extrude(length = 6)
  |> hollow(0.25, %)
```

![Rendered example of hollow 0](data:image/png;base64,[encoded data, 84492 characters])

```js
// Hollow a basic sketch.
firstSketch = startSketchOn('-XZ')
  |> startProfileAt([-12, 12], %)
  |> line(end = [24, 0])
  |> line(end = [0, -24])
  |> line(end = [-24, 0])
  |> close()
  |> extrude(length = 6)
  |> hollow(0.5, %)
```

![Rendered example of hollow 1](data:image/png;base64,[encoded data, 136044 characters])

```js
// Hollow a sketch on face object.
size = 100
case = startSketchOn('-XZ')
  |> startProfileAt([-size, -size], %)
  |> line(end = [2 * size, 0])
  |> line(end = [0, 2 * size])
  |> tangentialArcTo([-size, size], %)
  |> close()
  |> extrude(length = 65)

thing1 = startSketchOn(case, 'end')
  |> circle({
       center = [-size / 2, -size / 2],
       radius = 25
     }, %)
  |> extrude(length = 50)

thing2 = startSketchOn(case, 'end')
  |> circle({
       center = [size / 2, -size / 2],
       radius = 25
     }, %)
  |> extrude(length = 50)

hollow(0.5, case)
```

![Rendered example of hollow 2](data:image/png;base64,[encoded data, 98448 characters])


